org.apache.lucene.benchmark.byTask.tasks

## Class RepSumByPrefTask

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.tasks.PerfTask
  - - org.apache.lucene.benchmark.byTask.tasks.ReportTask
    - - org.apache.lucene.benchmark.byTask.tasks.RepSumByPrefTask

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  RepSelectByPrefTask, RepSumByPrefRoundTask

    public class RepSumByPrefTask
    extends ReportTask

Report by-name-prefix statistics aggregated by name.
Other side effects: None.

### Field Summary

Fields
`protected String` `prefix`

### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.ReportTask

`COLS, ELAPSED, newline, OP, RECCNT, RECSEC, ROUND, RUNCNT, TOTMEM, USEDMEM`

### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`logStep, NEW_LINE, params, stopNow`

### Constructor Summary

Constructors
Constructor and Description
`RepSumByPrefTask(PerfRunData runData)`

### Method Summary

Methods
`int` `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
`protected Report` `reportSumByPrefix(List<TaskStats> taskStats)`
`void` `setPrefix(String prefix)`
`String` `toString()`

### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.ReportTask

`genPartialReport, longestOp, shouldNeverLogAtStart, shouldNotRecordStats, tableTitle, taskReportLine`

### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setParams, setRunInBackground, setup, stopNow, supportsParams, tearDown`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### prefix

    protected String prefix

### Constructor Detail

#### RepSumByPrefTask

    public RepSumByPrefTask(PerfRunData runData)

### Method Detail

#### doLogic

    public int doLogic()
                throws Exception

Description copied from class: `PerfTask`
Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

Specified by:
  `doLogic` in class `PerfTask`
Returns:
  number of work items done by this task.
Throws:
  `Exception`

#### reportSumByPrefix

    protected Report reportSumByPrefix(List<TaskStats> taskStats)

#### setPrefix

    public void setPrefix(String prefix)

#### toString

    public String toString()

Overrides:
  `toString` in class `PerfTask`